# eric6.Helpviewer.AdBlock.AdBlockNetwork

Module implementing the network block class.

### Global Attributes

None

### Classes

AdBlockNetwork | Class implementing a network block.

### Functions

None

## AdBlockNetwork

Class implementing a network block.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

__canBeBlocked | Private method to check, if an URL can be blocked.
block | Public method to check for a network block.
canRunOnScheme | Public method to check, if AdBlock can be performed on the scheme.

### Static Methods

None

#### AdBlockNetwork.__canBeBlocked

__canBeBlocked(url)

Private method to check, if an URL can be blocked.

url
  URL to be checked (QUrl)

Returns:
  flag indicating, that the URL can be blocked (boolean)

#### AdBlockNetwork.block

block(request)

Public method to check for a network block.

request
  reference to the request object (QNetworkRequest)

Returns:
  reply object (QNetworkReply) or None

#### AdBlockNetwork.canRunOnScheme

canRunOnScheme(scheme)

Public method to check, if AdBlock can be performed on the scheme.

scheme
  scheme to check (string)

Returns:
  flag indicating, that AdBlock can be performed (boolean)

Up